mail/postforward - The NetBSD Packages Collection

Postfix Sender Rewriting Scheme forwarding agent

Postforward is a mail forwarding utility which aims to complement
the Postfix Sender Rewriting Scheme daemon (PostSRSd).

The downside of using PostSRSd from postfix config is that all mail
is naively rewritten, even when no forwarding is actually performed.
Such rewritten Return-Path addresses may confuse sieve scripts and
other mail filtering software.

This is where Postforward comes in. Instead of rewriting all incoming
mail regardless of final destination, mail systems may be configured
to pipe mail into Postforward only when forwarding needs to happen,
e.g. in a users' .forward when the forwarded-to mailserver requires
it, leaving non-forwarded mail unaltered by PostSRSd.
Postforward will rewrite envelope addresses for piped mail using
PostSRSd itself and re-inject these messages back into the queue,
destined for the forwarding recipient(s).

Build dependencies

lang/go117 pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpostforward-1.1.0nb22.tgz
NetBSD 8.0earmv7hfpostforward-1.1.0nb19.tgz
NetBSD 8.0earmv7hfpostforward-1.1.0nb24.tgz
NetBSD 8.0earmv7hfpostforward-1.1.0nb26.tgz
NetBSD 8.0i386postforward-1.1.0nb19.tgz
NetBSD 8.0i386postforward-1.1.0nb22.tgz
NetBSD 8.0i386postforward-1.1.0nb24.tgz
NetBSD 8.0i386postforward-1.1.0nb26.tgz
NetBSD 8.0x86_64postforward-1.1.0nb24.tgz
NetBSD 8.0x86_64postforward-1.1.0nb19.tgz
NetBSD 8.0x86_64postforward-1.1.0nb26.tgz
NetBSD 9.0aarch64postforward-1.1.0nb26.tgz
NetBSD 9.0aarch64postforward-1.1.0nb19.tgz
NetBSD 9.0aarch64postforward-1.1.0nb22.tgz
NetBSD 9.0aarch64postforward-1.1.0nb24.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb26.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb19.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb22.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb24.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb24.tgz
NetBSD 9.0earmv7hfpostforward-1.1.0nb26.tgz
NetBSD 9.0i386postforward-1.1.0nb19.tgz
NetBSD 9.0i386postforward-1.1.0nb22.tgz
NetBSD 9.0i386postforward-1.1.0nb24.tgz
NetBSD 9.0i386postforward-1.1.0nb26.tgz
NetBSD 9.0x86_64postforward-1.1.0nb23.tgz
NetBSD 9.0x86_64postforward-1.1.0nb26.tgz
NetBSD 9.0x86_64postforward-1.1.0nb24.tgz
NetBSD 9.0x86_64postforward-1.1.0nb26.tgz
NetBSD 9.0x86_64postforward-1.1.0nb19.tgz
NetBSD 9.0x86_64postforward-1.1.0nb22.tgz
NetBSD 9.0x86_64postforward-1.1.0nb24.tgz
NetBSD 9.0x86_64postforward-1.1.0nb27.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.